Package org.italiangrid.voms.request.impl

# Class DefaultVOMSServerInfoStore

java.lang.Object
org.italiangrid.voms.request.impl.DefaultVOMSServerInfoStore

All Implemented Interfaces:
  `VOMSServerInfoStore`

public class DefaultVOMSServerInfoStore extends Object implements VOMSServerInfoStore
A `DefaultVOMSServerInfoStore` organizes voms servers found in vomses configuration files in map keyed by vo alias. This way is easy to know which servers acts as replicas for the same vos.

Author:
  Andrea Ceccanti

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`DefaultVOMSServerInfoStore.Builder`
Creates a `DefaultVOMSServerInfoStore`.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Map<String,Set<VOMSServerInfo>>`
`serverInfoStore`

## Method Summary

Modifier and Type
Method
Description
`void`
`addVOMSServerInfo(VOMSServerInfo info)`
Adds a `VOMSServerInfo` to this `VOMSServerInfoStore`.
`Set<VOMSServerInfo>`
`getVOMSServerInfo()`
Returns a set of all `VOMSServerInfo` objects in this `VOMSServerInfoStore`.
`Set<VOMSServerInfo>`
`getVOMSServerInfo(String voName)`
Returns a set of `VOMSServerInfo` object matching a vo name or alias passed as argument.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### serverInfoStore

protected Map<String,Set<VOMSServerInfo>> serverInfoStore

## Method Details

### addVOMSServerInfo

public void addVOMSServerInfo(VOMSServerInfo info)
Description copied from interface: `VOMSServerInfoStore`
Adds a `VOMSServerInfo` to this `VOMSServerInfoStore`.

Specified by:
  `addVOMSServerInfo` in interface `VOMSServerInfoStore`
Parameters:
  `info` - the `VOMSServerInfo` object to add.

### getVOMSServerInfo

public Set<VOMSServerInfo> getVOMSServerInfo()
Description copied from interface: `VOMSServerInfoStore`
Returns a set of all `VOMSServerInfo` objects in this `VOMSServerInfoStore`.

Specified by:
  `getVOMSServerInfo` in interface `VOMSServerInfoStore`
Returns:
  a possibly empty set of all `VOMSServerInfo` objects in this `VOMSServerInfoStore`.

### getVOMSServerInfo

public Set<VOMSServerInfo> getVOMSServerInfo(String voName)
Description copied from interface: `VOMSServerInfoStore`
Returns a set of `VOMSServerInfo` object matching a vo name or alias passed as argument.

Specified by:
  `getVOMSServerInfo` in interface `VOMSServerInfoStore`
Parameters:
  `voName` - a VO name
Returns:
  a possibly empty set of `VOMSServerInfo` object matching the vo name or alias passed as argument